Subject: [netatalk-admins] Wrong password (my foot)

From: "Craig Roberts" <[email-masked]>
Date: Thu, 22 Oct 1998 10:44:18 +1300

Thanks to Jonathan in Oz for his bountiful help.

I have decided to install netatalk permanently and not as a module. It may
take up more memory, but it is going to be needed (when working) to be a
constantly available process. Sharing files to 100s Macs. Is there anything
wrong with this way of doing things?

However, I'm not yet there ... 100%.

It seems that appletalk services are loading during bootup as I get messages
like :-
eth0: setting Rx mode to 3 addresses
atalkd eth0: setting Rx mode to 4 addresses
afpd
papd
etc.

And afpd, atalkd and papd are all listed as running processes.
When I connect via Chooser (using AT or IP) on G3/8.5 I get "Incorrect
password. Enter it again.". It is not the wrong password I'm pretty sure of
that.

Ctrl+alt+F1 takes me back to the inital login screen where I did 'telinit 5'
and entered kde.
>From this screen I see the following :-
Loading keymap:...
starting appletalk daemons: atalkd is already running (PID 330), or the lock
file is stale.
atalkdnbp_rgstr: Success
Can't register pumpkin:Workstation@
nbp_rgstr: Success
Can't register pumpkin:netatalk@
nbprgstrpapd is already running, or...
papdafpd is already running, or...

Are the appletalk daemons being started somewhere else beforehand (may be from
some previous kernel building attempt) ?
pumpkin is the DNS name of the machine, do have to give it a different
appletalk name ?
What's are the different 2 registering about?

Any help is most appreciated.

Cheers

-+-x-o-+-x-o-+-x-o-+-x-o-+-x-o-+-x-o-+-x-o-+-x-o
Craig Roberts
Senior IT Consultant
College of Education, Christchurch, New Zealand.

"I want to see mountains again, Gandalf - mountains;
and then find somewhere where I can rest."
   Bilbo Baggins in Lord of the Rings - J.R.R. Tolkien